import os, sys, math, random, time, pygame
from pygame.locals import *
from pygame.compat import geterror

import const, util, image, var, ball

#the bonus icons which fall down after killing and have to be caught by the paddle to use the bonus
class Bonus(pygame.sprite.DirtySprite):
    def __init__(self, name, image, pos):
        pygame.sprite.DirtySprite.__init__(self)
        self.name = name
        self.image = image
        self.rect = self.image.get_rect()
        self.rect[0] = pos[0] - self.rect[2]/2   #pos[0] is the center of the killed brick
        self.rect[1] = pos[1]
        self.delay = 0

    def update(self):
        self.delay += 1
        if self.delay % 6:
            self.dirty = 1
            self.rect[1] += 1
        if self.rect.colliderect(var.game.paddle.rect):
            var.game.use_bonus(self)
        elif self.rect[1] >= const.SCREEN_HEIGHT:    
            var.game.allsprites.remove(self)

class Net(pygame.sprite.DirtySprite):
    def __init__(self):
        pygame.sprite.DirtySprite.__init__(self)
        self.image = image.images.net
        self.rect = self.image.get_rect()
        self.rect[0] = 0
        self.rect[1] = const.SCREEN_HEIGHT - self.rect[3]


